<?php
#----0000------------------------------------#
#----00--00----------------------------------#
#----00---000----000000----000000--#
#----00---0000--00----00----00---00--#
#----00---0000--00-----------00---------#
#----00---0000--000000----00000----#
#----00---000----00-----------00---------#
#----00--00-------00---00----00---------#
#----0000---------000000---00----------#
#===============================#
#     +Загруз центр for Wap Motor+    #
#                      Автор  def                      #
#                 ICQ: 4627473                    #
# По всем вопросам пишите в ICQ. #
#------------------------------------------------#
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

require_once "inc/conf.inc";
require_once "inc/func.inc";

$text = @file("../local/profil/$log.prof");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}

echo "<div class=b><center><img src='inc/img/down.png' alt=''> <a href='./'>$d_name</a> <img src='inc/img/down.png' alt=''></center></div>";
if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog) {
if ($dostup==101){

if(!isset($p)){$p="1";}
if($p==1){$min=0;}
else{$min=20 * ($p-1);}
$max=$min+20-1;
$next=$p+1;
$prev=$p-1;
$prev_dir=prev_dir($did);
if($p<1){echo"Запрашиваемой страницы не существует";}

echo "<img src='inc/img/new.gif' alt=''/> <a href='new.php?did=".$did."'>Новые файлы</a><b> [ <a href='new_help.php'><img src='inc/img/help.gif' alt=' ? '></a> ] </b><br>";
echo "<img src='inc/img/top.gif' alt=''> <a href='top.php?did=".$did."'>TOP $col_top</a><br>";
echo "<img src='inc/img/find.gif' alt=''> <a href='search.php'>Поиск файлов</a><br />";
if ($per==1){
list($tip,$oform)=file_type("files$did");
$files = array();
$dik = str_replace("/", "", $did);
if(is_file("baze/$dik.baz")){
$fn = @file("baze/$dik.baz");
$total_files = count($fn);}else{$total_files = 0;}
$all_page=ceil($total_files/20);
for($i=0; $i<$total_files; $i++){
	$data = explode("|",$fn[$i]);
	$fid = $data[9].'.'.$data[10];
	$files[$fid] = $fid;
}
asort($files);
$kf = array_keys($files);
////////////////////////Вывод файлов/////////////////////////

echo "<form action=\"?d=$did&per=per&SID=$SID\" method=post>";
foreach ($kf as $n=>$fid){
if($n>=$min and $n<=$max){

$dik=str_replace("/", "", $did);
$fn=file("baze/$dik.baz");
	foreach ($fn as $n=>$f){
		$data = explode("|",$fn[$n]);
		if($data[11]=="$did/$fid"){$id=$data[0];
		$format=$data[10];
		$nam=$data[8];
		$namef=$data[9];
		$downs=$data[1];
		$siz=number_format(($data[7]/1024),2);}
	}

echo "<div class='a'>";
if($tip!=="no"){
if($tip=="img"){
	echo"<img src='img.php?did=files$did&im=$fid&neww=40&newh=40' alt=''>";	
}
if($nam == ''){$nam = $namef;}
echo "<input type=\"checkbox\" name=\"fs[]\" value=\"$fid\">&#187; $nam ( $fid ) [$siz Kb]";
echo "</div>";
}
}}
if($all_page>1){

if($p==1){echo"<div class='b'><< Назад |";}

else {echo "<div class=b><a href=\"?did=$did&p=$prev&per=1\"><< Назад </a>|";}
if($p>=$all_page) echo " Далее >></div>";
else { echo"<a href=\"?did=$did&p=$next&per=1\"> Далее >></a></div>";}

$start = ($p-1)*20;
$ba=ceil($total_files/20);
$ba2=$ba*20-20;

echo 'Страницы:';
$asd=$start-(20*3);
$asd2=$start+(20*4);

if($asd<$total_files && $asd>0){echo " <a href='?did=$did&p=1&per=1'>1</a> ... ";}

for($i=$asd; $i<$asd2;)
{
if($i<$total_files && $i>=0){
$ii=floor(1+$i/20);

if ($start==$i) {
echo "<b> $ii </b>";
}else {
echo "<a href='?did=$did&p=$ii&per=1'> $ii </a>";
}}
$i=$i+20;}
if($asd2<$total_files){echo ' ... <a href="index.php?did='.$did.'&p='.$ba.'&amp;per=1&amp;'.SID.'">'.$ba.'</a>';
}}
if(($tip=="no" and !isset($all_dir)) or (($total_files=="" or $total_files==0) and !isset($all_dir))){echo"Файлов в каталоге пока нет.";}
if($total_files=="") $total_files=0;
echo "<div class=c>";if($total_dir){echo "<b>Всего папок: $total_dir</b><br>";}
if($tip=="file" or $tip=="all"){echo "<b>Всего Файлов: $total_files</b><br>";}
if($tip=="img"){echo "<b>Всего картинок: $total_files</b><br>";}
if($tip=="java"){echo "<b>Всего JAVA: $total_files</b><br>";}
if($tip=="themes"){echo "<b>Всего тем: $total_files</b><br>";}
if($tip=="mp3"){echo "<b>Всего песен: $total_files</b><br>";}
if($tip=="video"){echo "<b>Всего видео: $total_files</b><br>";}
echo "</div>";
echo"<div class='b'>Выбранные:<br />
<input type=radio name=dl value='0' checked> Переместить<br />
<input type=radio name=dl value='1'><font color='red'> Удалить</font><br />
<input type='submit' value='Выполнить'></form></div>";
if($did!==""){echo "[<a href='?did=$did'>Назад</a>]";}
}
if ($per=="per"){
$del=$dl;
if ($del==1){ $fs=implode("|",$fs);
header ("Location: ?d=$d&fs=$fs&delf=1");}
if ($del==0){ $fs=implode("|",$fs);
header ("Location: ?d=$d&fs=$fs&per=2");}
}
if ($per==2){
$odir=opendir("files$did");
while($fid=readdir($odir)){
if ( (($fid!=".")&&($fid!="..")) and is_dir("files$did/$fid"))
{$all_dir[$fid]="/$fid";$total_dir+=1;}}
closedir($odir);

if($did)
{$di=strrpos($did,"/"); $di=substr($did,$di+1,999);
if(file_exists("files$prev_dir/dir.name")){$di=dir_name($di,$prev_dir);}
else {$di=latin_to_utf($di);}

echo "</div><div class=b><img src='inc/img/folder_open.png' alt=''><b>$di</b></div><div>";}
sort($files); sort($all_dir);

foreach($all_dir as $id=>$titl)
{echo "<UL>";

if(file_exists("files$did/dir.name")){$id=dir_name($titl,$did);}
else {$id=latin_to_utf($titl);}
$id=str_replace("/","",$id);

list($total, $tot_new) = put_count("files$did$titl");
$tota = $total;
if ($tot_new > 0) $tota .= '/ <font color="red">+'.$tot_new.'</font>';
echo "<li><img src='inc/img/folder.png' alt=''>
<b><a href='?did=$did$titl&d=$d&fs=$fs&per=2'>$id</a></b> [".$tota."]<br>";
echo "</li>";

echo "</UL>";}
echo "<form action=\"?did=$did&d=$d&fs=$fs&per=3&SID=$SID\" method='post' enctype='multipart/form-data'>";
echo'<div class="b"><input type="submit" value="Вставить"></div>';

if($total_files=="") $total_files=0;
echo "<div class=c>";if($total_dir){echo "<b>Всего папок: $total_dir</b><br>";}
echo "</div>";

if($did!==""){echo "[<a href='?did=$prev_dir&per=2'>Назад</a>]";}
}
if ($per==3){
echo "<div class='a'></div>";
$fs=explode("|",$fs);
$a=count($fs);
for($i=0;$i<$a;$i++){
$fid=$fs[$i];
if (!is_file("files/$did/$fid")){
$format=format($fid);
$file=str_replace(".$format", "", $fid);

$di = str_replace("/", "", $d);
$dik = str_replace("/", "", $did);
$ft = @file("baze/$di.baz");
$tot = count($ft);
$fp=fopen("baze/$di.baz","a+");
$fk=fopen("baze/$dik.baz","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
	for($u=0; $u<=$tot; $u++){
		$data = explode("|",$ft[$u]);
		if($data[11]=="$d/$fid"){
		fputs($fp,"");
			$fn=@file("baze/$dik.baz");
			$count = count($fn)+1;
			$zap = "$count|$data[1]|$data[2]|$data[3]|$data[4]|$data[5]|$data[6]|$data[7]|$data[8]|$data[9]|$data[10]|$did/$fid|\r\n";
			fputs($fk,"$zap");
			fflush ($fk);
		}else{
		fputs($fp,$ft[$u]);}
		fflush($fp);	
	}
flock($fp,LOCK_UN);
fclose($fp);
@chmod("$fp", 0666);
fclose($fk);
@chmod("$fk", 0666);

rename("files$d/$fid","files/$did/$fid");
rename("files$d/$file.txt","files/$did/$file.txt");
rename("files$d/$fid.txt","files/$did/$fid.txt");
rename("files$d/$fid.dat","files/$did/$fid.dat");
rename("files$d/$fid.kom","files/$did/$fid.kom");
rename("files$d/$fid.jpg","files/$did/$fid.jpg");
rename("files$d/$fid.gif","files/$did/$fid.gif");
rename("files$d/$fid.jpeg","files/$did/$fid.jpeg");
rename("files$d/$fid.png","files/$did/$fid.png");
rename("files$d/$file.jpg","files/$did/$file.jpg");
rename("files$d/$file.gif","files/$did/$file.gif");
rename("files$d/$file.jpeg","files/$did/$file.jpeg");
rename("files$d/$file.png","files/$did/$file.png");

echo " Файл $fid успешно перемещен!<br />";}
else{ echo "<font color='red'> Файл $fid уже существует!!!</font><br />";}

$ft = @file("baze/$di.baz");
$total = count($ft);
$fp=fopen("baze/$di.baz","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
	for($s=0; $s<=$total; $s++){
		$data = explode("|",$ft[$s]);
		$sizes = filesize("files$data[11]");
		$id = $s+1;
		/////////обновляем инфо о размере файла и переписываем его id
		if(is_file("files$data[11]") and (($id!==$data[0]) or ($sizes!==$data[5]))){
		fputs($fp,"$id|$data[1]|$data[2]|$data[3]|$data[4]|$data[5]|$data[6]|$sizes|$data[8]|$data[9]|$data[10]|$data[11]|\r\n");}
		else{fputs($fp,$ft[$s]);}
		fflush($fp);
	}
flock($fp,LOCK_UN);
fclose($fp);
@chmod("$fp", 0666);

}}
if ($delf==1){
echo "<div class='a'></div>";
echo " Выбраные файлы:<br />";
$df=explode("|",$fs);
$a=count($df);
for($i=0;$i<$a;$i++){
$fd=$df[$i];
echo " &#187;<b> $fd</b><br />";
}
echo "<div class='a'><form action=\"?did=$d&fs=$fs&delf=del&SID=$SID\" method=post>";
echo "<font color='red'> Подтверждаем удаление?</font><br /><input type='submit' value='Да'></form></div>";
echo "[<a href='index.php?did=$d'>В каталог</a>]";
}
if ($delf=='del'){
echo "<div class='a'></div>";
$fs=explode("|",$fs);
$a=count($fs);
for($u=0;$u<$a;$u++){
$fid=$fs[$u];
if (is_file("files/$did/$fid")){
$format=format($fid);
$file=str_replace(".$format", "", $fid);

$dik=str_replace("/", "", $did);
$ft = @file("baze/$dik.baz");
$total = count($ft);
$fp=fopen("baze/$dik.baz","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
	for($i=0; $i<=$total; $i++){
		$data = explode("|",$ft[$i]);
		if($data[11]=="$did/$fid"){
		fputs($fp,"");
		}else{
		fputs($fp,$ft[$i]);}
		fflush($fp);	
	}
flock($fp,LOCK_UN);
fclose($fp);
@chmod("$fp", 0666);

unlink("files/$did/$fid");
unlink("files/$did/$file.txt");
unlink("files/$did/$fid.txt");
unlink("files/$did/$fid.dat");
unlink("files/$did/$fid.kom");
unlink("files/$did/$fid.jpg");
unlink("files/$did/$fid.gif");
unlink("files/$did/$fid.jpeg");
unlink("files/$did/$fid.png");
unlink("files/$did/$file.jpg");
unlink("files/$did/$file.gif");
unlink("files/$did/$file.jpeg");
unlink("files/$did/$file.png");
echo " Файл $fid успешно удален!<br />";

$ft = @file("baze/$dik.baz");
$total = count($ft);
$fp=fopen("baze/$dik.baz","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
	for($r=0; $r<=$total; $r++){
		$data = explode("|",$ft[$r]);
		$sizes = filesize("files$data[11]");
		$id = $i+1;
		/////////обновляем инфо о размере файла и переписываем его id
		if(is_file("files$data[11]") and (($id!==$data[0]) or ($sizes!==$data[5]))){
		fputs($fp,"$id|$data[1]|$data[2]|$data[3]|$data[4]|$data[5]|$data[6]|$sizes|$data[8]|$data[9]|$data[10]|$data[11]|\r\n");}
		else{fputs($fp,$ft[$r]);}
		fflush($fp);
	}
flock($fp,LOCK_UN);
fclose($fp);
@chmod("$fp", 0666);

}else{ echo "<font color='red'> Ошибка удаления файла $fid !</font><br />";}
}
echo "[<a href='index.php?did=$d'>В каталог</a>]";
}}
else{ echo "<center><font color='red'>FACK!!!</font></center>";}
}else{ echo "<center><font color='red'>FACK!!!</font></center>";}

echo "<br />[<a href='index.php?'>К разделам</a>]<br>";
echo "[<a href='../index.php'>На главную</a>]";
///////////////////////////////////////////////////////////////////////////
include_once"../themes/$config_themes/foot.php";

?>